/*
 * lcd_config.h
 *
 *  Created on: 31.07.2011
 *      Author: cyblord
 *
 */

#ifndef LCD_CONFIG_H_
#define LCD_CONFIG_H_

#define LCD_DATA	PORTB //Databus
#define LCD_DATA_D	DDRB  //Direction Databus
#define LCD_INPUT	PINB //Datenbus Eingang

//LCD 4-Bit Bus lines
#define LCD_D4		PB0
#define LCD_D5		PB1
#define LCD_D6		PB2
#define LCD_D7		PB3

#define LCD_CTRL	PORTB //Controlbus
#define LCD_CTRL_D	DDRB //Direction Controlbus

#define LCD_RS		PB4 //RS Portpin
#define LCD_E		PB5 //Enable Portpin
#define LCD_RW		PB6 //RW Portpin

#define LCD_LINES	2	//Anzahl Zeilen des LCDs, 1 oder 2
#define LCD_5X10	1	//Zeichenhhe (1=5x10, 0 = 5x8 Pixel)

//#define C080204		//Es wird ein C0802-04 (Pollin) LCD verwendet, falls nicht, bitte auskommentieren
#define NOBUSY   	//Wird dies gesetzt, so wird kein Busy-Flag abgefragt, sondern feste Delays verwendet. So kann die RW eingespart und auf GND gelegt werden.

//Hier knnen noch mehr Parameter verndert werden um mglichst viele Display Typen zu unterstzen.
//Normalerweise mssen hier keine nderungen vorgenommen werden.

#define LCD_FIRSTLINE	0x00 //DDRAM Start-Adressen der einzelnen Zeilen
#define LCD_SECONDLINE	0x40
#define STROBE_DELAY_US 2 	// Zeit in S fr die Enable bei einem Strobe High bleibt.
#define INIT_DELAY_MS	500 // Zeit in ms zwischen lcd_init() aufruf und init Sequenz



#endif /* LCD_CONFIG_H_ */
